Bug 107901 - Page of current batch is remembered between folders
Page of current batch is remembered between folders
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 05:31 EDT by Arjan Moraal
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan Moraal 2003-10-24 05:31:22 EDT
Description of problem:
Page of current batch is remembered between folders, even if the pagenumber is
bigger than the total number of pages.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime.

Steps to Reproduce:
1. Create two folders in a content section.
2. Add a content-item to one of the folders.
3. Switch to the second folder.
4. Add 21 content-items to this folder until the list is split between two pages.
5. Select the second page in the content-item list.
6. Switch to the first folder.
    
Actual results:
In the first folder, page 2 of 1 is selected.

Expected results:
If the current page is bigger than the number of pages, select the last page (or
the first one).

Additional info:
Comment 1 Bob Jacoby 2003-10-27 14:16:45 EST
Added myself to CC list. I know this occurs in 5.1 as well (that's my version)
Comment 2 Scott Seago 2004-02-06 17:34:13 EST
Fix submitted to rickshaw trunk at change 40157, to london 5.2 at 40160.

Fix still needs to be applied to 5.1, 5.2, 6.0. Note that the 5.2 fix
required an additional line to be removed from FlatItemList.reset, so
5.1/5.2 fixes should be based on 40160 and 6.0 fix should be based on
40157.
Comment 3 Jon Orris 2006-09-05 13:37:28 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.